Mark An Accepted Offer As Closed
POST
https://api.getcovent.com/api/v1/offers/{id}/closeMark an accepted offer as closed.
How to Call
Use one of the examples below to call this endpoint from your own integration.
curl -X POST "https://api.getcovent.com/api/v1/offers/{id}/close" \
-H "Authorization: Bearer <API_KEY>" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"closed_at": "2026-04-28T17:00:00Z",
"close_price": 372000,
"notes": "Closed on schedule with title."
}'Request
Review headers, parameters, and body fields before calling this endpoint.
AuthorizationstringRequired
Bearer token for the proposed external API contract.
Example: Bearer <API_KEY>AcceptstringRequired
Response format header.
Example: application/jsonContent-TypestringRequired
JSON request body header.
Example: application/jsonidstringRequired
id path parameter.
Example: <id>closed_atstringRequired
closed_at request field.
Example: 2026-04-28T17:00:00Zclose_pricenumberRequired
close_price request field.
Example: 372000notesstringRequired
notes request field.
Example: Closed on schedule with title.Response
200application/jsonidstringRequired
id response field.
Example: off_123statusstringRequired
status response field.
Example: closedclosed_atstringRequired
closed_at response field.
Example: 2026-04-28T17:00:00Zclose_pricenumberRequired
close_price response field.
Example: 372000updated_atstringRequired
updated_at response field.
Example: 2026-04-28T17:00:00ZResponse Example
{
"id": "off_123",
"status": "closed",
"closed_at": "2026-04-28T17:00:00Z",
"close_price": 372000,
"updated_at": "2026-04-28T17:00:00Z"
}